<?php 
//--------------------------------------------------------------------------------
//	Php FeedWriter 3.2 - Sample Usage Feed Configuration File
//
//  This file contains variables used to configure a feed and database connection
//  required by the db-feed-sample.php Php FeedWriter sample script.
//
//	(c) Copyright Daniel Soutter
//	
//	Website: http://phpFeedWriter.WebmasterHub.net/
//	
//  Php FeedWriter and this sample script is provided with no warranty and may be 
//  used or developed at your own risk, providing that you have read and aggree to
//	the Terms of Use http://phpfeedwriter.webmasterhub.net/terms .
//
//	Please post any comments, bugs or suggestions for improvement to the website.
//
//	For usage instructions or technical information about Php FeedWriter, see the 
//  online documentation: http://phpFeedWriter.WebmasterHub.net/docs
//
//  For information about this script, please see:
//	http://phpfeedwriter.webmasterhub.net/2012/01/db-feed-sample-php-explained-sample-feed-database-integration-php-script/
//--------------------------------------------------------------------------------

/*Set up database connectivity
 * -------------------------------
 * Create a connection to the database
 * --------------------------------- */
$feed_db_host = 'localhost';
$feed_db_port = '3306'; //default MySQL port
$feed_db_user = 'treasure_joomer';
$feed_db_pass = 'Psalm8318!'; 
$feed_db_dbname = 'treasure_joomdetectors';


/*Database select query field names
 * -------------------------------
 * In this section, a range of values are set to be used when mapping data from each 
 * row in the database query recordset to elements in feed items.  These create a more generic example of mapping 
 * database table columns to elements in the feed based on the assumptions below that can be more easily adjusted. 
 * If the mapppings below are not applicable to your database columns or table relationships, you may need to 
 * customise this section in the config file and the process in the main controller file to suit your needs.
 * 
 * The values below are also used to construct the database query to retrieve items from the database.
 * 
 * Assumptions made for the purpose of this example:
 * - names set below exist as a column in the table containing the feed item data.
 * - data required to populate a feed item is availble in each record.  If this
 *   is not how your items table is configured, you may need to customise the process of populating feed item data 
 *   in the db-feed-sample.php file to suit your needs (eg. generating the feed item link using a base url and item ID).
 * 
 * There are also additional feed item elements available using Php FeedWriter that are not inlcuded in this example.
 * Please see the online doucmentation for a full list of the feed item elements and corresponding functions used to populate with data. 
 * 
 * NULL should be supplied for columns that are not available in the database table.
 * --------------------------------- */

$feed_items_table = 'cg5mn_k2_items';
$feed_item_limit = 10; //the maximum number of items to retrieve.  Set as null to ignore limit

$feed_item_table_cols = Array(
	'item_id_column' => 		'id',			//DB Record ID column
	'item_title_column' => 		'title',
	'item_content_column' => 	'introtext',
	'item_date_column' => 		'modified', 	//To be set as last updated and used as order by column.  Assumed column type "TIMESAMP"
	'item_link_column' => 		null,				//In this example, the link is generated using a base url and the record ID so NULL is set for this column.  If a column name is entered instead of NULL, the value from this column will be used to set the feed link.
	'item_copyright_column' => 	null, 				//example NULL value indicating that there is no column containing copyright details for each item.
	'item_author_name_column' => 'created_by',
	'item_category_column' => 	'alias'
);

$item_link_base_url = "http://treasuremtndetectors.net/blog/item/?id="; //In this example, this is the base url used to generate the link to a feed item.  
 
/*Feed Channel data 
 * -------------------------------
 * In this section a number of variables are created to store 
 * information that will be used to populate the feed channel data.
 *
 * Change the sample values to the information about your feed.
 * 
 * Please see the Php FeedWriter Online documentation ( http://phpFeedWriter.WebmasterHub.net/docs ) 
 * for details about which elements are required and which are optional for the various output formats.
 * --------------------------------- */
 
//Channel Data for valid output in all supported formats
//----------------------------------
//Feed Title
$feed_title = 'The Latest From Treasure Mountain Detectors';

//Feed Link
$feed_url = 'http://treasuremtndetectors.net/k2feed/db-feed-sample.php';

//Feed Description
$feed_description = 'Get the latest treasure finds, news, guides, and secret deals from our web store. ';

//Channel Image
$channel_image = Array(
	'imageTitle' => 'http://treasuremtndetectors.net',
	'imageSrc' => 'http://treasuremtndetectors.net/images/LogoHor2.png',
	'imageUrl' => 'http://treasuremtndetectors.net' );
	
//Channel self link (link to the current feed)
$feed_selfLink = 'http://treasuremtndetectors.net/k2feed/db-feed-sample.php';

//Feed Author details
$feed_author = Array(
	'name' => 'Treasure Mountain Detectors',
	'url' => 'http://treasuremtndetectors.net',
	'email' => null ); //format email@domain.com, null if no email provided

//Feed Last Updated
$date_feed_updated = '2011-12-11T00:00:00Z'; //ISO 8601 Fromat

//Feed Language
$feed_Language = 'EN-US';

//Optionl Channel Data
//-----------------------------

//Feed ID (unique identifier for the feed, set to feed link if not provided)
$feed_id = '';

//Feed Publish Date
$date_feed_published = '2011-12-11T00:00:00Z'; //ISO 8601 Fromat

//Feed Webmaster (Contact for technical information)
$feed_webmaster = 'email@domain.com (First Last)';

//Feed Copyright Owner
$feed_copyright_notice = '(c) Daniel Soutter';

//Feed Categories
$feedCategories = Array('Php Feed Generator', 'Database RSS Feed');

//Skip Days (specify days of the week that feed readers can skip checking for updates)
$skip_days = Array('Saturday', 'Sunday');

//Skip Hours
$skip_hours = Array(22,23,0);

//Feed Input (example values only / not real)
$feed_input = Array(
	'input_title' => 'Search',
	'input_desc' => 'Search items in this feed',
	'input_name' => 'Search',
	'input_url' => 'http://treasuremtndetectors.net/'	);

//Feed Cloud
$feed_cloud = Array(
	'cloud_domain' => 'http://treasuremtndetectors.net',
	'cloud_port' => '80',
	'cloud_path' => '/rss_cloud',
	'cloud_reg_procedure' => 'pingMe',
	'cloud_protocol' => 'soap'	);

//Feed Contribotor
$feed_contributor = Array(
	'name' => 'Ed Huffman',
	'url' => 'http://treasuremtndetectors.net',
	'email' => null ); //format email@domain.com, null if no email provided

//Manually set the Select Query to retrieve feed items from the database
//If $select_query is NULL, the query is generated dynamically from the table column mappings set above.
$select_query = null;
	
?>